Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.system.property
Class PropertyEvent

    java.lang.Object
      java.util.EventObject
          madkit.system.property.PropertyEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyEvent

extends java.util.EventObject

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `element`
`protected java.lang.String` | `label`
`protected java.lang.Class` | `type`
`protected java.lang.String` | `value`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PropertyEvent(java.awt.Component src, java.lang.Object elt, java.lang.String lab, java.lang.String newValue, java.lang.Class typ)`

Method Summary
`java.lang.Object` | `getElement()`
`java.lang.String` | `getLabel()`
`java.lang.Class` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setElement(java.lang.Object newElement)`
`void` | `setLabel(java.lang.String newLabel)`
`void` | `setType(java.lang.Class newType)`
`void` | `setValue(java.lang.String newValue)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### element

    protected java.lang.Object element

### label

    protected java.lang.String label

### value

    protected java.lang.String value

### type

    protected java.lang.Class type

Constructor Detail

### PropertyEvent

    public PropertyEvent(java.awt.Component src,
                         java.lang.Object elt,
                         java.lang.String lab,
                         java.lang.String newValue,
                         java.lang.Class typ)

Method Detail

### getElement

    public java.lang.Object getElement()

### setElement

    public void setElement(java.lang.Object newElement)

### setLabel

    public void setLabel(java.lang.String newLabel)

### getLabel

    public java.lang.String getLabel()

### setValue

    public void setValue(java.lang.String newValue)

### getValue

    public java.lang.String getValue()

### setType

    public void setType(java.lang.Class newType)

### getType

    public java.lang.Class getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.